<?php
// Managed by CHEF PROJECT COOKBOOK
$_SERVER["DOCUMENT_ROOT"] = "<%= @server_root %>";
$DOCUMENT_ROOT = $_SERVER["DOCUMENT_ROOT"];
define("NO_KEEP_STATISTIC", true);
define("NOT_CHECK_PERMISSIONS",true);
define("BX_NO_ACCELERATOR_RESET", true);
require($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/prolog_before.php");

if(!CModule::IncludeModule("search"))
{
  echo "Not found search module for <%= @project %>";
  return 1;
}

@ini_set("max_execution_time", 0);
@set_time_limit(0);
$res = CSearch::ReIndexAll(true, 0, false);
if(intval($res) > 0)
    echo "Index created";

return 0;
